.TH wxHtmlWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxHtmlWindow \- See external documentation: wxHtmlWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxHtmlWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxScrolledWindow 
.br
wxPanel 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxHtmlWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxHtmlWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowwxhtmlwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxHtmlWindow()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxHtmlWindow()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowwxhtmlwindow>\&.
.RE
.LP
.B
appendToPage(This::wxHtmlWindow(), Source::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowappendtopage>\&.
.RE
.LP
.B
getOpenedAnchor(This::wxHtmlWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowgetopenedanchor>\&.
.RE
.LP
.B
getOpenedPage(This::wxHtmlWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowgetopenedpage>\&.
.RE
.LP
.B
getOpenedPageTitle(This::wxHtmlWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowgetopenedpagetitle>\&.
.RE
.LP
.B
getRelatedFrame(This::wxHtmlWindow()) -> wxFrame() (see module wxFrame)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowgetrelatedframe>\&.
.RE
.LP
.B
historyBack(This::wxHtmlWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowhistoryback>\&.
.RE
.LP
.B
historyCanBack(This::wxHtmlWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowhistorycanback>\&.
.RE
.LP
.B
historyCanForward(This::wxHtmlWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowhistorycanforward>\&.
.RE
.LP
.B
historyClear(This::wxHtmlWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowhistoryclear>\&.
.RE
.LP
.B
historyForward(This::wxHtmlWindow()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowhistoryforward>\&.
.RE
.LP
.B
loadFile(This::wxHtmlWindow(), Filename::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowloadfile>\&.
.RE
.LP
.B
loadPage(This::wxHtmlWindow(), Location::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowloadpage>\&.
.RE
.LP
.B
selectAll(This::wxHtmlWindow()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowselectall>\&.
.RE
.LP
.B
selectionToText(This::wxHtmlWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowselectiontotext>\&.
.RE
.LP
.B
selectLine(This::wxHtmlWindow(), Pos::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowselectline>\&.
.RE
.LP
.B
selectWord(This::wxHtmlWindow(), Pos::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowselectword>\&.
.RE
.LP
.B
setBorders(This::wxHtmlWindow(), B::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowsetborders>\&.
.RE
.LP
.B
setFonts(This::wxHtmlWindow(), Normal_face::string(), Fixed_face::string()) -> ok
.br
.RS
.LP
Equivalent to setFonts(This, Normal_face, Fixed_face, [])\&.
.RE
.LP
.B
setFonts(This::wxHtmlWindow(), Normal_face::string(), Fixed_face::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {sizes, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowsetfonts>\&.
.RE
.LP
.B
setPage(This::wxHtmlWindow(), Source::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowsetpage>\&.
.RE
.LP
.B
setRelatedFrame(This::wxHtmlWindow(), Frame::wxFrame() (see module wxFrame), Format::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowsetrelatedframe>\&.
.RE
.LP
.B
setRelatedStatusBar(This::wxHtmlWindow(), Bar::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowsetrelatedstatusbar>\&.
.RE
.LP
.B
toText(This::wxHtmlWindow()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmlwindow\&.html#wxhtmlwindowtotext>\&.
.RE
.LP
.B
destroy(This::wxHtmlWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
